// Start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// General information section.
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// $Author:yongkiang$ User who last changed the file
// $Date:1/2/2013 12:16:08 PM$ Date and time of last check in
// $Revision:1.0$ Visual SourceSafe version number
// $Workfile::   DatalogPackagePage.h                                  $ Filename
// End =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// {{AFX_INCLUDES()
#include "MyPropertyPage.h"
#include "BtnST.h"
// }}AFX_INCLUDES
#if !defined(AFX_DATALOGPACKAGEPAGE_H__51BCF033_939F_11D6_A80B_005004C029CA__INCLUDED_)
#define AFX_DATALOGPACKAGEPAGE_H__51BCF033_939F_11D6_A80B_005004C029CA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DatalogPackagePage.h : header file
//
#ifdef  BUILD_GUIDLL
#define     DLLCLASS    __declspec(dllexport)
#else
#define     DLLCLASS    __declspec(dllimport)
#endif

/////////////////////////////////////////////////////////////////////////////
// CDatalogPackagePage dialog

class DLLCLASS CDatalogPackagePage : public CMyPropertyPage // public CPropertyPage
{
DECLARE_DYNCREATE(CDatalogPackagePage)

// Construction
public:
    void SetPackageInfo(CStringArray *csaPackageName, BOOL bCombine = false);
    CDatalogPackagePage();
    ~CDatalogPackagePage();

// Dialog Data
// {{AFX_DATA(CDatalogPackagePage)
    enum {
        IDD = IDD_DATALOG_PACKAGE_PAGE
    };
    CShadeButtonST m_pageSetupBtn;
    CShadeButtonST m_printBtn;
    CShadeButtonST m_fileBtn;
    CListCtrl      m_listCtrl;
// }}AFX_DATA

// Overrides
// ClassWizard generate virtual function overrides
// {{AFX_VIRTUAL(CDatalogPackagePage)
public:
    virtual BOOL OnSetActive();
    virtual BOOL OnKillActive();
protected:
    virtual void DoDataExchange(CDataExchange* pDX); // DDX/DDV support
// }}AFX_VIRTUAL

// Implementation
protected:
// Generated message map functions
// {{AFX_MSG(CDatalogPackagePage)
    virtual BOOL OnInitDialog();
    afx_msg void OnPageSetupButton();
    afx_msg void OnPrintButton();
    afx_msg void OnFileButton();
//  afx_msg LRESULT OnQuery(WPARAM wp, LPARAM lp);
// }}AFX_MSG
    DECLARE_MESSAGE_MAP()

private:
    virtual void            UpdateListCtrl(CDaoRecordset *LotInfoRS);
    virtual CDaoRecordset * GetRecordset(void);
    void                    DisplayIn2ndLang();
    void                    UpdateListCtrlData();
    void                    InitIconButtons();
    void                    InitListCtrl();

// CMainDoc* m_pDoc;
// CFont m_fontLogo;

//  CStringArray    m_csaPackageInfo;
    CString        m_csPackageInfo;
    CDaoRecordset *m_packageRS;

//  int m_nCurrentIndex;
};

// {{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DATALOGPACKAGEPAGE_H__51BCF033_939F_11D6_A80B_005004C029CA__INCLUDED_)
